import { Options as RemarkRehypeOptions } from 'remark-rehype';
import { PluggableList } from 'unified';
import type { AllowElement, Components, TransformImage, TransformLink, TransformLinkTarget, TransformLinkTargetType } from '../types';
export interface MarkdownOptions {
    source: string;
    remarkPlugins?: PluggableList;
    rehypePlugins?: PluggableList;
    remarkRehypeOptions?: RemarkRehypeOptions;
    sourcePos?: boolean;
    rawSourcePos?: boolean;
    skipHtml?: boolean;
    includeElementIndex?: boolean;
    transformLinkUri?: false | TransformLink | null;
    transformImageUri?: TransformImage;
    linkTarget?: TransformLinkTarget | TransformLinkTargetType;
    components?: Components;
    allowedElements?: string[];
    disallowedElements?: string[];
    allowElement?: AllowElement;
    unwrapDisallowed?: boolean;
}
declare const _default: import("vue").DefineComponent<__VLS_TypePropsToRuntimeProps<MarkdownOptions>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_TypePropsToRuntimeProps<MarkdownOptions>>>, {}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
